package cn.cecep.talroad.service.effective;

import java.util.List;
import cn.cecep.talroad.domain.effective.PcNationalCityRankingOther;
import com.baomidou.mybatisplus.extension.service.IService;
public interface PcNationalCityRankingOtherService extends IService<PcNationalCityRankingOther>{


    int updateBatch(List<PcNationalCityRankingOther> list);

    int updateBatchSelective(List<PcNationalCityRankingOther> list);

    int batchInsert(List<PcNationalCityRankingOther> list);

    void doProcessCityRankDay();

    void doProcessCityRankMonth();

    void doProcessCityRankYear();
}
